Bug 1303345 - [abrt] lightdm-gtk: rawmemchr(): lightdm-gtk-greeter killed by SIGSEGV
[abrt] lightdm-gtk: rawmemchr(): lightdm-gtk-greeter killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lightdm-gtk (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4a6c360db332e5211a609fd038e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 03:41 EST by Paul DeStefano
Modified: 2016-12-20 13:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:19:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.34 KB, text/plain)
2016-01-31 03:41 EST, Paul DeStefano
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-31 03:41 EST, Paul DeStefano
no flags Details
File: core_backtrace (4.42 KB, text/plain)
2016-01-31 03:41 EST, Paul DeStefano
no flags Details
File: dso_list (7.82 KB, text/plain)
2016-01-31 03:41 EST, Paul DeStefano
no flags Details
File: environ (381 bytes, text/plain)
2016-01-31 03:41 EST, Paul DeStefano
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-31 03:41 EST, Paul DeStefano
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-31 03:41 EST, Paul DeStefano
no flags Details
File: maps (35.07 KB, text/plain)
2016-01-31 03:42 EST, Paul DeStefano
no flags Details
File: mountinfo (3.53 KB, text/plain)
2016-01-31 03:42 EST, Paul DeStefano
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-31 03:42 EST, Paul DeStefano
no flags Details
File: open_fds (481 bytes, text/plain)
2016-01-31 03:42 EST, Paul DeStefano
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2016-01-31 03:42 EST, Paul DeStefano
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-31 03:42 EST, Paul DeStefano
no flags Details

  None (edit)
Description Paul DeStefano 2016-01-31 03:41:25 EST
Description of problem:
This happens with kernel 4.3 and proprietary AMD drivers.

I know, I know.  That's not supported, but due to other (very old) bugs not yet fixed, I cannot use open-source drivers.  I will explain more after bug creation.

Version-Release number of selected component:
lightdm-gtk-1.8.5-19.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/sbin/lightdm-gtk-greeter
crash_function: rawmemchr
executable:     /usr/sbin/lightdm-gtk-greeter
global_pid:     2248
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            990

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 rawmemchr at ../sysdeps/x86_64/rawmemchr.S:37
 #1 _IO_str_init_static_internal at strops.c:44
 #2 __isoc99_vsscanf at isoc99_vsscanf.c:41
 #3 __isoc99_sscanf at isoc99_sscanf.c:31
 #4 epoxy_glx_version at dispatch_glx.c:60
 #5 gdk_x11_screen_init_gl at gdkglcontext-x11.c:774
 #6 _gdk_x11_screen_update_visuals_for_gl at gdkglcontext-x11.c:1114
 #7 _gdk_x11_screen_init_visuals at gdkvisual-x11.c:334
 #8 _gdk_x11_screen_new at gdkscreen-x11.c:1214
 #9 _gdk_x11_display_open at gdkdisplay-x11.c:1472
Comment 1 Paul DeStefano 2016-01-31 03:41:34 EST
Created attachment 1119715 [details]
File: backtrace
Comment 2 Paul DeStefano 2016-01-31 03:41:38 EST
Created attachment 1119716 [details]
File: cgroup
Comment 3 Paul DeStefano 2016-01-31 03:41:42 EST
Created attachment 1119717 [details]
File: core_backtrace
Comment 4 Paul DeStefano 2016-01-31 03:41:46 EST
Created attachment 1119718 [details]
File: dso_list
Comment 5 Paul DeStefano 2016-01-31 03:41:53 EST
Created attachment 1119719 [details]
File: environ
Comment 6 Paul DeStefano 2016-01-31 03:41:54 EST
Created attachment 1119720 [details]
File: exploitable
Comment 7 Paul DeStefano 2016-01-31 03:41:58 EST
Created attachment 1119721 [details]
File: limits
Comment 8 Paul DeStefano 2016-01-31 03:42:10 EST
Created attachment 1119722 [details]
File: maps
Comment 9 Paul DeStefano 2016-01-31 03:42:14 EST
Created attachment 1119723 [details]
File: mountinfo
Comment 10 Paul DeStefano 2016-01-31 03:42:14 EST
Created attachment 1119724 [details]
File: namespaces
Comment 11 Paul DeStefano 2016-01-31 03:42:26 EST
Created attachment 1119725 [details]
File: open_fds
Comment 12 Paul DeStefano 2016-01-31 03:42:30 EST
Created attachment 1119726 [details]
File: proc_pid_status
Comment 13 Paul DeStefano 2016-01-31 03:42:35 EST
Created attachment 1119727 [details]
File: var_log_messages
Comment 14 Paul DeStefano 2016-01-31 03:54:12 EST
Oops, I completely forgot the radeon audio problem did get fixed.  bug 1295641.  Sorry, I guess I could use that; I thought it was still broken.

Well, on the off chance someone knows why lightdm breaks this way with kernel 4.3 but not kernel 4.2, I'd still like to know.  Maybe I can find a workaround if someone can interpret for me.
Comment 15 Fedora End Of Life 2016-11-24 10:18:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 13:19:46 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.